CXXFLAGS += $(RUBY_CXXFLAGS)

INCLUDES = $(all_includes) -I$(RUBY_ARCHDIR) $(RUBY_CFLAGS)

bin_PROGRAMS = krubyinit
krubyinit_LDFLAGS = -module $(all_libraries) -version-info 0:0:0 -L$(top_srcdir)/smoke/tde/ -L$(RUBY_LIBDIR) -ltdemdi -ltdenewstuff
krubyinit_METASOURCES = AUTO
krubyinit_SOURCES = krubyinit.cpp
krubyinit_LDADD = $(LIB_KDE) $(RUBY_LIBRUBYARG) $(top_builddir)/smoke/tde/libsmoketde.la $(top_builddir)/qtruby/rubylib/qtruby/libtqtrubyinternal.la

install-exec-local:
	@-rm -f $(DESTDIR)$(bindir)/rbtdeapi
	@$(LN_S) rbqtapi $(DESTDIR)$(bindir)/rbtdeapi
	@-rm -f $(DESTDIR)$(bindir)/rbtdesh
	@$(LN_S) rbqtsh $(DESTDIR)$(bindir)/rbtdesh
